org.apache.ignite.internal.management.snapshot

## Enum SnapshotStatusTask.SnapshotOperation

- java.lang.Object
- - java.lang.Enum<SnapshotStatusTask.SnapshotOperation>
  - - org.apache.ignite.internal.management.snapshot.SnapshotStatusTask.SnapshotOperation

All Implemented Interfaces:
  Serializable, Comparable<SnapshotStatusTask.SnapshotOperation>

Enclosing class:
  SnapshotStatusTask

    public static enum SnapshotStatusTask.SnapshotOperation
    extends Enum<SnapshotStatusTask.SnapshotOperation>

Snapshot operation type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE` Create snapshot.
`RESTORE` Restore snapshot.

### Method Summary

All Methods Static Methods Concrete Methods
`static SnapshotStatusTask.SnapshotOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnapshotStatusTask.SnapshotOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE

    public static final SnapshotStatusTask.SnapshotOperation CREATE

Create snapshot.

#### RESTORE

    public static final SnapshotStatusTask.SnapshotOperation RESTORE

Restore snapshot.

### Method Detail

#### values

    public static SnapshotStatusTask.SnapshotOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnapshotStatusTask.SnapshotOperation c : SnapshotStatusTask.SnapshotOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnapshotStatusTask.SnapshotOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023